@{section header}
<link rel="stylesheet" href="../../../../../css/StyleSheet.css" /><!--Css Cod-->
<link rel="stylesheet" href="../../../../../css/melk-newusercase.css" /><!--Css Cod-->
    <title>ثبت نام</title>
    <style>
        .RedBrdBkAlertR{
                border:solid 2px red;
        }
        .greenBrdBkOkR{
                border:solid 2px red;
        }
        /* .RedBrdBkAlertR :after {content: "\2714";position: absolute;top: 0px;left: 3px;background: none;margin-top: -9px;color:#95CF2F ;} */

    </style>
@{end}
@{title("ثبت نام کاربر")}
<!--...............................................Header...............................................-->
<div class="Hrow HmarT-5per HmarB-2per" style="">
        <div class="Hcontainer Hcontainer-1200 insert-newCase " style="display:block;">
                <h3 class="Titr-head">فرم ثبت نام</h3>
                @{if repository.sms}
                <div class="Hrow">
                  @{!repository.sms}
                </div>
                @{fi}
                <form  id="frm" name="frm" action="" method="post">
                        @{view('~users/partial/newUser')}
                </form>
        </div>
</div>




@{section footer}
 

<script>

    var min=2,sec=30,cc;
    var opensubmit=[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1];
    function fixit(item,num){
        
        if(item.value.length>2){opensubmit[num-1]=1;}else{opensubmit[num-1]=0;}
        
    }
    async function show_res(result){
        switch(result.status){
            case 299:
            case 298:
            case 704:
                //var s=result.data.split("<br/>");
                //Halert({status:"golden",icon:"alert",Ttext:result.status,Ctext;result.data});
                Hnotification({status:"success",Cstyle:[{color:"#ffffff"}],Ctext:result.data});
                break;
            case 203:
                var s=result.data.split("<br/>");
                Hnotification({status:"success",Cstyle:[{color:"#ffffff"}],Ctext:s[0]});
                Hnotification({status:"info",Cstyle:[{color:"#ffffff"}],Ctext:s[1]});
                Hnotification({status:"info",Cstyle:[{color:"#ffffff"}],Ctext:s[2]});
                await Halert({status:"info",icon:"alert",Ctext:"شما پس از فشردن کلید زیر، بصورت خودکار به "+result.locationTXT+" منتقل خواهید شد"});

                //alert("شما پس از 10 ثانیه بصورت خودکار به بخش سپردن ملک منتقل خواهید شد");
          window.location.assign(result.location);
        // window.location.assign("/new/melk");
                break;
            default:
               Halert({status:"golden",icon:"alert",Ttext:"خطای "+result.status+" - ",Ctext:result.data});
                break;
        }
   }
  function aCbutton_res(result){
          
    switch(result.status){
     case 200:
         Hnotification({status:"success",Cstyle:[{color:"#ffffff"}],Ctext:result.data});
         $("#aCbutton").attr("disabled",true);
         var cc=setInterval(aCbCounter,1000);
      break;
      default:
             Hnotification({status:"warning",Ttext:"کد خطای "+result.status+" - ",Tstyle:[{color:"#660000"}],Ctext:result.data});
      break;
    }
   }
   function aCbCounter(){
       $("#aCbutton").val(min+":"+sec);
       sec--;
       if(sec<0){
           min--;
           sec=59;
           if(min<0){
               clearInterval(cc);
               sec=30;
               $("#aCbutton").val("ارسال کد");
                $("#aCbutton").attr("disabled",false);
           }
       }
   }
</script>
<script>

$(document).ready(function(){
    $("#submit").click(async function(){
    var formdata=new FormData(frm);
    
var res=await jqajax($(this).attr("data-action"),formdata,"post","loader");
// var res=await jqajax("/city/","name="+$(this).val()+",lang="+lang,"get");
    show_res(res);
  });
  $("#aCbutton").click(async function(){
     
 var res=await jqajax("/authcode/","phone="+$("#Fphone").val(),"get","loader");
 
    aCbutton_res(res);
  });
  $("#submit").attr("disabled",true);
  $("#iagree").change(async function(){
          if($(this).is(":checked")){
             
                if(opensubmit.toString().replace(/,/g,"")=="1111111111111111"){
                        $("#submit").attr("disabled",false);
                  }else{
                        Hnotification({status:"warning",Ctext:"تمامی کادرها را بصورت صحیح پر کنید"});
                        $(this).attr("checked",false);   
                        $("#submit").attr("disabled",true);

                  }
          }else{
                $("#submit").attr("disabled",true);
          }
  });
  
//     $("#idcode").blur(async function(){
//         if(ISidcode($(this).val())){
//             $(this).css("border-color","green");
//             $(this).css("color","black");
//             opensubmit[2]=1;
//         }else{
//             Hnotification({status:"warning",Ctext:"کد ملی وارد شده صحیح نیست"});
//             $(this).css("border-color","red");
//             $(this).css("color","red");
//             opensubmit[2]=0;
//         }
//         // if($(this).val().length!=10){
//         //     Hnotification({status:"warning",Ctext:"کد ملی وارد شده صحیح نیست"});
//         //     $(this).css("border-color","red");
//         //     $(this).css("color","red");
//         //     opensubmit[2]=0;
//         // }else{
//         //     //$(this).attr("style","color:green");
//         //     var w=$(this).val();
//         //     var sum=0;
//         //     for(s in w){if(s<9){sum+=w[s]*(10-s);}}
//         //     sum=sum%11;
//         //     if((sum<2 && w[9]==sum) || ((11-w[9])==sum)){
//         //         $(this).css("border-color","green");
//         //         $(this).css("color","black");
//         //         opensubmit[2]=1;
//         //     }else{
//         //         Hnotification({status:"warning",Ctext:"کد ملی وارد شده صحیح نیست"});
//         //         $(this).css("border-color","red");
//         //         $(this).css("color","red");
//         //         opensubmit[2]=0;
//         //     }
//         // }
//   });
//   $("#phone").blur(async function(){
//           if($(this).val().length!=10){
//                 Hnotification({status:"warning",Ctext:"شماره وارد شده صحیح نیست"});
//                 $(this).css("border-color","red");
//                 $(this).css("color","red");
//                 opensubmit[3]=0;
//           }else{
//                 if($(this).val()[0]==9){
//                         $(this).css("border-color","green");
//                         $(this).css("color","black");
//                         opensubmit[3]=1;
//                 }else{
//                         Hnotification({status:"warning",Ctext:"شماره وارد شده صحیح نیست"});
//                         $(this).css("border-color","red");
//                         $(this).css("color","red");
//                         opensubmit[3]=0;
//                 }
//           }
//   });


});
</script>
<script src="../../../../../js/Hvalidation.js"></script>
<script src="../../../../../js/Hvalidation.js"></script>
@{end}
